Skip to content
Documentation

Şirketler

Şirket listesi ve müşteri sağlığı için gelir, kullanım ve ürün olayı sinyalleri.

Şirketleri listele

GET
/v1/public-api/companies

Authorization

integrationKey
headerAuthorizationBearer <cf_sk_…>

Organizasyon API anahtarı (cf_sk_…). Organizasyon → API ve otomasyonlar → API anahtarları sayfasında oluşturulur; Authorization: Bearer cf_sk_… başlığıyla gönderilir.

Query Parameters

limit?integer
Range0 <= value <= 100
Default20
offset?integer
Range0 <= value
Default0

Response Body

Success

application/json
  1. response
success*boolean
data*unknown
meta?
Example Request
curl -X GET 'https://api.getclickfix.com/v1/public-api/companies'
Example Response
{  "success": true,  "data": null,  "meta": {    "request_id": "string"  }}
PUT
/v1/public-api/company-usage

Authorization

integrationKey
headerAuthorizationBearer <cf_sk_…>

Organizasyon API anahtarı (cf_sk_…). Organizasyon → API ve otomasyonlar → API anahtarları sayfasında oluşturulur; Authorization: Bearer cf_sk_… başlığıyla gönderilir.

Header Parameters

Idempotency-Key*string
Lengthlength <= 200

Request Body

application/json
  1. body
company_uuid?string
Formatuuid
external_id?string
domain?string
score*integer
Range0 <= value <= 100

Response Body

OK

application/json
  1. response
success*true
Value intrue
data*
meta*
Example Request
curl -X PUT 'https://api.getclickfix.com/v1/public-api/company-usage' \  -H 'Idempotency-Key: string' \  -H 'Content-Type: application/json' \  -d '{  "score": 0}'
Example Response
{  "success": true,  "data": {    "company_uuid": "aba69bec-94b3-48e8-9737-4f951465d0f8",    "usage_score": 0  },  "meta": {    "request_id": "string"  }}
POST
/v1/public-api/company-events

Authorization

integrationKey
headerAuthorizationBearer <cf_sk_…>

Organizasyon API anahtarı (cf_sk_…). Organizasyon → API ve otomasyonlar → API anahtarları sayfasında oluşturulur; Authorization: Bearer cf_sk_… başlığıyla gönderilir.

Header Parameters

Idempotency-Key*string
Lengthlength <= 200

Request Body

application/json
  1. body
company_uuid?string
Formatuuid
external_id?string
domain?string
contact_email?string
name*string
Length1 <= length <= 100
properties?
source?string
Lengthlength <= 32
Default"api"
idempotency_key?string
Lengthlength <= 200
occurred_at?string
Formatdate-time

Response Body

OK

application/json
  1. response
success*true
Value intrue
data*
meta*
Example Request
curl -X POST 'https://api.getclickfix.com/v1/public-api/company-events' \  -H 'Idempotency-Key: string' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "success": true,  "data": {    "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",    "company_uuid": "aba69bec-94b3-48e8-9737-4f951465d0f8",    "name": "string",    "properties": {},    "source": "string",    "occurred_at": "2019-08-24T14:15:22Z",    "duplicate": true  },  "meta": {    "request_id": "string"  }}

Şirket gelirini gönder

PUT
/v1/public-api/company-revenue

Authorization

integrationKey
headerAuthorizationBearer <cf_sk_…>

Organizasyon API anahtarı (cf_sk_…). Organizasyon → API ve otomasyonlar → API anahtarları sayfasında oluşturulur; Authorization: Bearer cf_sk_… başlığıyla gönderilir.

Header Parameters

Idempotency-Key*string
Lengthlength <= 200

Request Body

application/json
  1. body
company_uuid?string
Formatuuid
external_id?string
domain?string
source?string
Value in"api""stripe""iyzico"
mrr_minor?integer
Formatint64
Range0 <= value
currency?string
Match^[A-Za-z]{3}$
plan?string
Lengthlength <= 120
billing_status?string
Value in"none""trialing""active""past_due""canceled"
renewal_at?|

RFC 3339 time or YYYY-MM-DD date; null clears it.

lifetime_value_minor?integer
Formatint64
Range0 <= value
external_ref?string
Lengthlength <= 200

Response Body

OK

application/json
  1. response
success*true
Value intrue
data*
meta*
Example Request
curl -X PUT 'https://api.getclickfix.com/v1/public-api/company-revenue' \  -H 'Idempotency-Key: string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "success": true,  "data": {    "company_uuid": "aba69bec-94b3-48e8-9737-4f951465d0f8",    "revenue": {      "mrr_minor": 0,      "currency": "str",      "plan": "string",      "billing_status": "none",      "renewal_at": "2019-08-24T14:15:22Z",      "lifetime_value_minor": 0,      "source": "manual",      "external_ref": "string",      "updated_at": "2019-08-24T14:15:22Z"    }  },  "meta": {    "request_id": "string"  }}